MWAWGraphicListenerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWGraphicListenerInternal::State Struct Reference

the state of a MWAWGraphicListener More...

## Public Member Functions
| State ()
| constructor
| ~State ()
| destructor
bool | isInTextZone () const
| returns true if we are in a text zone, ie. either in a textbox or a table cell

## Public Attributes
MWAWVec2f | m_origin
| the origin position
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text
MWAWFont | m_font
| the font
MWAWParagraph | m_paragraph
| the paragraph
std::shared_ptr< MWAWList > | m_list
| the list of list
bool | m_isFrameOpened
| a flag to know if openFrame was called
MWAWPosition | m_framePosition
| the frame position
MWAWGraphicStyle | m_frameStyle
| the frame style
bool | m_isTextBoxOpened
| a flag to know if we are in a textbox
bool | m_isGroupOpened
| a flag to know if openGroup was called
bool | m_isLayerOpened
| a flag to know if openLayer was called
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< bool > | m_listOrderedLevels
bool | m_isTableOpened
| a stack used to know what is open
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_inLink
bool | m_inNote
bool | m_inSubDocument
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions
| State (const State &)=delete
State & | operator= (const State &)=delete

## Detailed Description

the state of a MWAWGraphicListener

## Constructor & Destructor Documentation

## ◆ State() [1/2]

MWAWGraphicListenerInternal::State::State | ( |  | ) |

constructor

## ◆ ~State()

MWAWGraphicListenerInternal::State::~State | ( |  | ) |
| inline

destructor

## ◆ State() [2/2]

MWAWGraphicListenerInternal::State::State | ( | const State & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ isInTextZone()

bool MWAWGraphicListenerInternal::State::isInTextZone | ( |  | ) | const
| inline

returns true if we are in a text zone, ie. either in a textbox or a table cell

## ◆ operator=()

State & MWAWGraphicListenerInternal::State::operator= | ( | const State & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_currentPage

unsigned MWAWGraphicListenerInternal::State::m_currentPage

## ◆ m_currentPageNumber

int MWAWGraphicListenerInternal::State::m_currentPageNumber

## ◆ m_firstParagraphInPageSpan

bool MWAWGraphicListenerInternal::State::m_firstParagraphInPageSpan

## ◆ m_font

MWAWFont MWAWGraphicListenerInternal::State::m_font

the font

## ◆ m_framePosition

MWAWPosition MWAWGraphicListenerInternal::State::m_framePosition

the frame position

## ◆ m_frameStyle

MWAWGraphicStyle MWAWGraphicListenerInternal::State::m_frameStyle

the frame style

## ◆ m_inLink

bool MWAWGraphicListenerInternal::State::m_inLink

Referenced by isInTextZone().

## ◆ m_inNote

bool MWAWGraphicListenerInternal::State::m_inNote

Referenced by isInTextZone().

## ◆ m_inSubDocument

bool MWAWGraphicListenerInternal::State::m_inSubDocument

## ◆ m_isFrameOpened

bool MWAWGraphicListenerInternal::State::m_isFrameOpened

a flag to know if openFrame was called

## ◆ m_isGroupOpened

bool MWAWGraphicListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

## ◆ m_isLayerOpened

bool MWAWGraphicListenerInternal::State::m_isLayerOpened

a flag to know if openLayer was called

## ◆ m_isListElementOpened

bool MWAWGraphicListenerInternal::State::m_isListElementOpened

## ◆ m_isParagraphOpened

bool MWAWGraphicListenerInternal::State::m_isParagraphOpened

## ◆ m_isSpanOpened

bool MWAWGraphicListenerInternal::State::m_isSpanOpened

## ◆ m_isTableCellOpened

bool MWAWGraphicListenerInternal::State::m_isTableCellOpened

Referenced by isInTextZone().

## ◆ m_isTableColumnOpened

bool MWAWGraphicListenerInternal::State::m_isTableColumnOpened

## ◆ m_isTableOpened

bool MWAWGraphicListenerInternal::State::m_isTableOpened

a stack used to know what is open

## ◆ m_isTableRowOpened

bool MWAWGraphicListenerInternal::State::m_isTableRowOpened

## ◆ m_isTextBoxOpened

bool MWAWGraphicListenerInternal::State::m_isTextBoxOpened

a flag to know if we are in a textbox

Referenced by isInTextZone().

## ◆ m_list

std::shared_ptr<MWAWList> MWAWGraphicListenerInternal::State::m_list

the list of list

## ◆ m_listOrderedLevels

std::vector<bool> MWAWGraphicListenerInternal::State::m_listOrderedLevels

## ◆ m_numPagesRemainingInSpan

int MWAWGraphicListenerInternal::State::m_numPagesRemainingInSpan

## ◆ m_origin

MWAWVec2f MWAWGraphicListenerInternal::State::m_origin

the origin position

## ◆ m_paragraph

MWAWParagraph MWAWGraphicListenerInternal::State::m_paragraph

the paragraph

## ◆ m_subDocumentType

libmwaw::SubDocumentType MWAWGraphicListenerInternal::State::m_subDocumentType

## ◆ m_textBuffer

librevenge::RVNGString MWAWGraphicListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- MWAWGraphicListener.cxx